Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.generators
Class DHParametersGenerator

    java.lang.Object
      org.bouncycastle.crypto.generators.DHParametersGenerator

    public class DHParametersGenerator

extends java.lang.Object

Constructor Summary
`DHParametersGenerator()`

Method Summary
`DHParameters` `generateParameters()` which generates the p and g values from the given parameters, returning the DHParameters object.
`void` `init(int size, int certainty, java.security.SecureRandom random)` Initialise the parameters generator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHParametersGenerator

    public DHParametersGenerator()

Method Detail

### init

    public void init(int size,
                     int certainty,
                     java.security.SecureRandom random)

  Initialise the parameters generator.

  Parameters:
    `size` - bit length for the prime p
    `certainty` - level of certainty for the prime number tests
    `random` - a source of randomness

### generateParameters

    public DHParameters generateParameters()

  which generates the p and g values from the given parameters, returning the DHParameters object.

  Note: can take a while...

Bouncy Castle Cryptography Library 1.45